'use strict';

var _require = require('babel-plugin-macros'),
    createMacro = _require.createMacro,
    MacroError = _require.MacroError;
// const {getReplacement} = require('./helpers')


var _require2 = require('./index'),
    handleCreateRazor = _require2.handleCreateRazor;

module.exports = createMacro(bladeMacros);

function bladeMacros(_ref) {
  var references = _ref.references,
      state = _ref.state,
      t = _ref.babel.types;
  var _references$JSXMacro = references.JSXMacro,
      JSXMacro = _references$JSXMacro === undefined ? [] : _references$JSXMacro,
      _references$default = references.default,
      defaultImport = _references$default === undefined ? [] : _references$default,
      createQuery = references.createQuery,
      createFragment = references.createFragment;


  createQuery && createQuery.forEach(function (referencePath) {
    return handleCreateRazor(referencePath, t);
  });
  createFragment && createFragment.forEach(function (referencePath) {
    return handleCreateRazor(referencePath, t);
  });
}

// module.exports = createMacro(bladeMacros);

// function bladeMacros({ references, state, babel: { types: t } }) {
// 	Object.keys(references).forEach(referenceKey => {
// 		if (referenceKey === 'createQuery' || referenceKey === 'createFragment') {
// 			references[referenceKey].forEach(referencePath => {
// 				handleCreateRazor(referencePath, t);
// 			});
// 		} else throw new MacroError('invalid require?');
// 	});
// }